Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 603267 - Review Request: Netperf - Benchmark tool for networking.
Summary: Review Request: Netperf - Benchmark tool for networking.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-12 06:10 UTC by Gowrishankar Rajaiyan
Modified: 2012-06-29 22:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:26:38 UTC


Attachments (Terms of Use)

Description Gowrishankar Rajaiyan 2010-06-12 06:10:20 UTC
Spec URL: http://gowrishankar.fedorapeople.org/spec/netperf.spec
SRPM URL: http://gowrishankar.fedorapeople.org/srpms/netperf-2.4.5-1.fc12.src.rpm

Description: Netperf is a benchmark that can be used to measure the performance
of many different types of networking. It provides tests for both
unidirectional throughput, and end-to-end latency. The environments
currently measurable by netperf include:

TCP and UDP via BSD Sockets for both IPv4 and IPv6
- DLPI
- Unix Domain Sockets
- SCTP for both IPv4 and IPv6
- Netperf is a benchmark used to measure the performance of networking.

Comment 1 Stanislav Ochotnicky 2010-07-01 13:13:24 UTC
Few notes:
 * use %configure macro, this will set proper paths automatically
 * either use "make %{?_smp_mflags}" or explain why parallel builds are not possible
 * why delete only README.windows and not others? Either delete/not install readme files for hpux/ovms/solaris/and the rest or install all of them without exceptions (the README.vmware~ is ok...obviously stale backup file)
 * you are missing %clean phase with rm -rf $RPM_BUILD_ROOT
 * netperf info file doesn't include INFO-DIR-SECTION therefore your post/preun scriptlets are moot (you also checked for existence of wrong file so they were never run). Either patch info/texi file to include proper dir section or do not even call install-info (btw normally it is better to Require "info" then "/sbin/install-info")

Comment 2 Gowrishankar Rajaiyan 2010-07-23 19:24:20 UTC
Hi Stanislav,

I appreciate and thank you for reviewing my spec.

here is the updated spec and srpm:

http://gowrishankar.fedorapeople.org/spec/netperf.spec
http://gowrishankar.fedorapeople.org/srpms/netperf-2.4.5-2.fc12.src.rpm

Comment 3 manuel wolfshant 2010-07-23 20:02:17 UTC
Keep in mind that "rm -rf $RPM_BUILD_ROOT" is mandatory only if you plan to build the packages for EPEL or Fedora older than F-13.

Comment 4 Jason Tibbitts 2010-11-22 18:58:42 UTC
Actually you can dump the whole clean section for F13+ and EL6+.

It's useful (well, actually mandatory) to run rpmlint and look at the output:

  netperf.x86_64: W: wrong-file-end-of-line-encoding
   /usr/share/doc/netperf-2.4.5/README.windows
Needs fixing, assume that there's any point at all in including this file.

  netperf.x86_64: E: info-files-without-install-info-postin
   /usr/share/info/netperf.info.gz
  netperf.x86_64: E: info-files-without-install-info-postun
   /usr/share/info/netperf.info.gz
You need to follow http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Texinfo if your package includes texinfo documentation.

Comment 5 Rafael Aquini 2010-11-23 23:17:58 UTC
Hello Gowrishankar,

Are you still interested in getting netperf into Fedora packages? If yes, please consider Jason observations and submit a new bumped-release .spec & srpm.

Do you have a FAS account? 

As I couldn't find your email in Fedora Packager CVS Commit Group (packager), I have assumed you do not have an account, and you must get one before you proceed:
  http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account

Also, if this is your first package review request, you gonna need a member sponsorship in order to check in and build your package, after get your work reviewed.
  http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_Sponsored


I'll be glad in helping you out.

Best regards

Aquini


Note You need to log in before you can comment on or make changes to this bug.